--Since we only want to change "some" things about an existing item lets do it in the data_updates phase with an exact copy.

if USECREOSOTE_POLE then -- flag from config.lua
  local newpole=table.deepcopy(data.raw.recipe["medium-electric-pole"])
  newpole.category = "crafting-with-fluid"
  newpole.ingredients[#newpole.ingredients +1] = { --Get the current number of ingredients and add one too it (just another form of table.insert)
    type="fluid", name="creosate", amount=10
  }
  data:extend({newpole}) --insert our replacement pole
end


if USECREOSOTE_RAIL then
  local newrail=table.deepcopy(data.raw.recipe["rail"])
  newpole.category = "crafting-with-fluid"
  table.insert(newpole.ingredients, {type="fluid", name="creosote", amount=10}
  data:extend({newrail})
end

--
--
--
--
-- {
--   type = "recipe",
--   name = "medium-electric-pole",
-- category = "crafting-with-fluid",
--   enabled = false,
--   ingredients =
--   {
--     {type="fluid", name="creosote", amount=10},
--     {type="item", name="steel-plate", amount=2},
--   {type="item", name="copper-plate", amount=2},
--   },
--   result = "medium-electric-pole",
--   requester_paste_multiplier = 4
-- },
--
-- {
--   type = "recipe",
--   name = "rail",
-- category = "crafting-with-fluid",
--   enabled = false,
--   ingredients =
--   {
--   {type="fluid", name="creosote", amount=10},
--     {type="item", name="steel-plate", amount=1},
--   {type="item", name="stone", amount=1},
--   {type="item", name="raw-wood", amount=2},
--   },
--   result = "rail",
--   result_count = 2,
--   requester_paste_multiplier = 4
-- },
